#
# Conditional build:
%bcond_with	tests	# perform "make test" - working database connection required
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Pg
%define		module	pgperl
Summary:	Perl interface to PostgreSQL database
Summary(es.UTF-8):	Módulo Perl para acceder un servidor PostgreSQL
Summary(pl.UTF-8):	Interfejs dla Perla umożliwiający dostęp do baz PostgreSQL
Summary(pt_BR.UTF-8):	Módulo Perl para acesso ao servidor PostgreSQL
Summary(ru.UTF-8):	Библиотеки и модули для доступа к PostgreSQL из perl
Summary(uk.UTF-8):	Бібліотеки та модулі для доступу до PostgreSQL з Perl
Summary(zh_CN.UTF-8):	PostgreSQL 的 PL/Perl 程序语言
Name:		perl-Pg
Version:	2.0.2
Release:	16
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	ftp://gborg.postgresql.org/pub/pgperl/stable/%{module}-%{version}.tar.gz
# Source0-md5:	0813c5ab151dd37ad8938634550e6c1a
URL:		http://gborg.postgresql.org/project/pgperl/projdisplay.php
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	postgresql-devel
Obsoletes:	postgresql-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.

%description -l pl.UTF-8
Ten moduł jest interfejsem między Perlem a PostgreSQL-em. Używa API
Perla 5 dla rozszerzeń C, aby odwoływać się do interfejsu libpq
PostgreSQL-a. W przeciwieństwie do DBD::pg, pgperl jest próbą
implementacji interfejsu libpq tak bliską, jak to tylko możliwe.

%prep
%setup -q -n %{pnam}-%{version}

%build
POSTGRES_HOME=%{_prefix}
export POSTGRES_HOME
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/Pg
%attr(755,root,root) %{perl_vendorarch}/auto/Pg/*.so
%{perl_vendorarch}/*.pm
%{_mandir}/man[13]/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Pg.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0384578
- rebuild with perl 5.30.0
- release 16 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> c67eac3
- rebuild with perl 5.28.0
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 51b1b01
- perl req/prov fix
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d4b6409
- rebuild with perl 5.26
- release 13 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f3d3b1a
- rebuild with perl 5.24.0
- release 12 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b2376c4
- release 11 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b793452
- x32 rebuild
- release 10 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3734791
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 9d12d71
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2861063
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 69f753a
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6675ab9
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> af5c767
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1224be0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d097ea8
- converted to UTF-8

* Wed Dec 20 2006 hawk <hawk@pld-linux.org> 8eda078
- release 4 to rebuild with PostgreSQL 8.2

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> c512bda
- "PostgreSQL" unification

* Mon Jun 14 2004 radek <radek@pld-linux.org> fdb7c63
- release 3: it's not noarch

* Mon Jun 07 2004 Jakub Bogusz <qboosh@pld-linux.org> dcb31cf
- unfolded some macros

* Thu May 06 2004 ankry <ankry@pld-linux.org> b87a9a6
- fixed perl-devel BR

